class aes::autocorr {

  $autocorr_user = autocorr
  $autocorr_group = $autocorr_user
  $autocorr_home = "/home/${autocorr_user}"

  user { 'autocorr' :
    ensure     => present,
    managehome => false,
    membership => inclusive,
    system     => true,
    shell      => '/bin/bash',
  }

  file { $autocorr_home:
    ensure => directory,
    mode   => '0755',
    owner  => $autocorr_user,
    group  => $autocorr_group,
  }

  file { "${autocorr_home}/.ssh":
    ensure => directory,
    mode   => '0700',
    owner  => $autocorr_user,
    group  => $autocorr_group,
  }
}
